	PROGRAM ASKTST
C
C
	IMPLICIT LOGICAL*1 (Q)
C
	DIMENSION QNAM(12),QIN(2),QOUT(2)
C
	EQUIVALENCE (IN,QIN),(IOUT,QOUT)
C
	QZ=.TRUE.
C
10	QZ=.NOT. QZ
	CALL ASKDSD(QZ)
	CALL ASKCZD(QZ)
	CALL ASKDPS(' ? ')
	IF(QZ) CALL ASKDPS (' > ')
	CONTINUE
	CALL ASKI('itest1',I)
	TYPE 11,I
11	FORMAT(1H ,I6)
	CALL ASKI('itest2',I,,,-11)
	TYPE 11,I
	CALL ASKI('itest3',I,0,,22)
	TYPE 11,I
	CALL ASKI('itest4',I,-10000,100,-3333)
	TYPE 11,I
C
C
C
	CALL ASKO('otest1',I)
	TYPE 31,I
31	FORMAT(1H ,I6)
	CALL ASKO('otest2',I,,,-31)
	TYPE 31,I
	CALL ASKO('otest3',I,0,,222)
	TYPE 31,I
	CALL ASKO('otest4',I,-10000,100,-3333)
	TYPE 31,I
C
C
	CALL ASKR('rtest1',X)
	TYPE 41,X
41	FORMAT(1H ,E11.4)
	CALL ASKR('rest2',X,,,-3.1)
	TYPE 41,X
	CALL ASKR('rtest3',X,0.1E-12,,22.2)
	TYPE 41,X
	CALL ASKR('rest4',X,100.789,-333.3,-10000.1234)
	TYPE 41,X
C
	CALL ASKL('Is this a load of rubbish',Q)
	TYPE 51,Q
51	FORMAT(1H ,L1)
C
	CALL ASKL('Do you want a rise',Q,,,'Y')
	TYPE 51,Q
C
	CALL ASKL('Do you want the blow to the head',Q,,,'N')
	TYPE 51,Q
C
C
	CALL ASKL('Initial gradient',Q,'+','-')
	TYPE 51,Q
C
	CALL ASKL('Initial gradient',Q,'+','-','+')
	TYPE 51,Q
C
	CALL ASKL('Initial gradient',Q,'+','-','Y')
	TYPE 51,Q
C
C
	CALL ASKS('Name your poison',QNAM)
	TYPE 81,QNAM
	CALL ASKS('What is your name',QNAM,3,10)
	TYPE 81,QNAM
81	FORMAT(1H ,12A1)
C
C
	IL=IASKS('What is your hobby',QNAM,3,12)
	type 91,il,(qnam(i),i=1,il)
91	format(1h ,i6,3x,80a1)
c
	GOTO 10
C
C
C	STOP
C
C
	END
